API Reference
Get File Upload History
Returns a paginated list of uploaded files for the authenticated user. This API is compatible with sm.ms upload_history endpoint and returns 30 files per page sorted by creation time in descending order.
curl -X GET "https://example.com/api/v1/files" \ -H "Authorization: string"{ "code": 0, "data": [ { "created_at": 0, "delete": "string", "file_id": 0, "filename": "string", "hash": "string", "height": 0, "page": "string", "path": "string", "size": 0, "storename": "string", "upload_status": 0, "url": "string", "width": 0 } ], "message": "string", "success": true}Upload File POST
This API allows you to upload a file and create a short link for it.
Get Private File Download URL GET
This API allows you to get a temporary download URL for a private file using its file ID. The URL is cached for a period of time, so multiple requests for the same file will return the same URL. The URL is valid for 1 hour.